play.db

## Interface Model.BinaryField

- All Known Implementing Classes:
    Blob
  Enclosing interface:
    Model

      public static interface Model.BinaryField

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `exists()`
    `java.io.InputStream` | `get()`
    `long` | `length()`
    `void` | `set(java.io.InputStream is, java.lang.String type)`
    `java.lang.String` | `type()`

- - ### Method Detail

    - #### get

          java.io.InputStream get()

    - #### set

          void set(java.io.InputStream is,
                   java.lang.String type)

    - #### length

          long length()

    - #### type

          java.lang.String type()

    - #### exists

          boolean exists()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly